/*
Hilfsfunktionen fr das OLED Display.
*/

#ifndef DISPLAY_H
#define DISPLAY_H

#include <stdint.h>

// ein paar RGB-Farben
#define COLOR_BLACK 0x000000
#define COLOR_RED 0xff0000
#define COLOR_GREEN 0x00ff00
#define COLOR_BLUE 0x0000ff
#define COLOR_YELLOW 0xffff00
#define COLOR_WHITE 0xffffff
#define COLOR_LIGHT_SEA_GREEN 0x20B2AA

// Display initialisieren, Bildschirm lschen und Zeichenmodi einstellen
void initDisplay(void);

// Text ausgeben
void drawString(uint8_t x, uint8_t y, uint32_t color, uint8_t size, const char* string);

// Zahl ausgeben (drei Ziffern, mit Lschen der restlichen Stellen, wenn weniger als 3 Ziffern)
void drawInt(uint8_t x, uint8_t y, uint32_t color, uint8_t size, uint16_t value);

// Uhrzeit ausgeben
void drawTime(uint8_t x, uint8_t y, uint32_t color, uint8_t hour, uint8_t minute, uint8_t second);

// Rechteck zeichnen
void drawRectangle(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint32_t color);

#endif
