/*
Alle Funktionen, die microcontrollerspezifisch sind. Zur Portierung auf einen
anderen Microcontroller sind nur diese Funktionen neu zu implementieren.
*/

#ifndef HARDWARE_H
#define HARDWARE_H

#include <stdint.h>

// warten, bis letztes Zeichen ausgegeben wurde und dann c ausgeben 
void writeChar(uint8_t c);

// warten, bis ein Zeichen empfangen wurde und das dann zurckliefern
uint8_t readChar(void);

// Empfangspuffer lschen
void clearReceiveBuffer(void);

// Wert von Pin A zurckliefern (true oder false)
uint8_t getA(void);

// Wert von Pin B zurckliefern (true oder false)
uint8_t getB(void);

// wird mit 1 kHz aufgerufen
void onInterrupt(void);

// Hardware initialisieren
void initHardware(void);

// wartet die angegebene Anzahl Millisekunden (maximal 6.5 Sekunden)
void delayMs(uint16_t ms);

// verbietet Interrupts
void disableInterrupts(void);

// erlaubt Interrupts
void enableInterrupts(void);

#endif
